# coding: utf-8

"""
    Faxsuite RESTful API

    <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |    # noqa: E501

    OpenAPI spec version: 4.0.0
    Contact: support@fax-api.de
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class RecipientsApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def get_recipients(self, **kwargs):  # noqa: E501
        """/recipients  # noqa: E501

        Description: To obtain a list of recipients  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_recipients(async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int object_limit: Query parameter to change de default limitation of objects in the result data array
        :param int object_offset: Query parameter to change de default offset of objects in the result data array
        :param str filter_job_id: Query parameter to fetch after recipient related to specific fax job
        :param bool filter_same_account: Query parameter to fetch recipient related to jobs linked to the used token/key for authorization
        :param str filter_fax_number: Query parameter to fetch recipients after his fax number
        :param str filter_fax_number_norm: Query parameter to fetch recipients after his normed fax number
        :param str filter_recipient_reference: Query parameter to fetch recipients after his recipient reference
        :param str filter_international_dialing_code: Query parameter to fetch recipients after his international dialing code
        :param str filter_result_code: Query parameter to fetch recipients after his result code
        :param str filter_result_text: Query parameter to fetch recipients after his result text
        :param str sort_field: Available sort options for the result data array.
        :param str sort_order: Describes the order for used sort fields
        :return: Recipients
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.get_recipients_with_http_info(**kwargs)  # noqa: E501
        else:
            (data) = self.get_recipients_with_http_info(**kwargs)  # noqa: E501
            return data

    def get_recipients_with_http_info(self, **kwargs):  # noqa: E501
        """/recipients  # noqa: E501

        Description: To obtain a list of recipients  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.get_recipients_with_http_info(async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int object_limit: Query parameter to change de default limitation of objects in the result data array
        :param int object_offset: Query parameter to change de default offset of objects in the result data array
        :param str filter_job_id: Query parameter to fetch after recipient related to specific fax job
        :param bool filter_same_account: Query parameter to fetch recipient related to jobs linked to the used token/key for authorization
        :param str filter_fax_number: Query parameter to fetch recipients after his fax number
        :param str filter_fax_number_norm: Query parameter to fetch recipients after his normed fax number
        :param str filter_recipient_reference: Query parameter to fetch recipients after his recipient reference
        :param str filter_international_dialing_code: Query parameter to fetch recipients after his international dialing code
        :param str filter_result_code: Query parameter to fetch recipients after his result code
        :param str filter_result_text: Query parameter to fetch recipients after his result text
        :param str sort_field: Available sort options for the result data array.
        :param str sort_order: Describes the order for used sort fields
        :return: Recipients
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['object_limit', 'object_offset', 'filter_job_id', 'filter_same_account', 'filter_fax_number', 'filter_fax_number_norm', 'filter_recipient_reference', 'filter_international_dialing_code', 'filter_result_code', 'filter_result_text', 'sort_field', 'sort_order']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_recipients" % key
                )
            params[key] = val
        del params['kwargs']

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'object_limit' in params:
            query_params.append(('objectLimit', params['object_limit']))  # noqa: E501
        if 'object_offset' in params:
            query_params.append(('objectOffset', params['object_offset']))  # noqa: E501
        if 'filter_job_id' in params:
            query_params.append(('filterJobId', params['filter_job_id']))  # noqa: E501
        if 'filter_same_account' in params:
            query_params.append(('filterSameAccount', params['filter_same_account']))  # noqa: E501
        if 'filter_fax_number' in params:
            query_params.append(('filterFaxNumber', params['filter_fax_number']))  # noqa: E501
        if 'filter_fax_number_norm' in params:
            query_params.append(('filterFaxNumberNorm', params['filter_fax_number_norm']))  # noqa: E501
        if 'filter_recipient_reference' in params:
            query_params.append(('filterRecipientReference', params['filter_recipient_reference']))  # noqa: E501
        if 'filter_international_dialing_code' in params:
            query_params.append(('filterInternationalDialingCode', params['filter_international_dialing_code']))  # noqa: E501
        if 'filter_result_code' in params:
            query_params.append(('filterResultCode', params['filter_result_code']))  # noqa: E501
        if 'filter_result_text' in params:
            query_params.append(('filterResultText', params['filter_result_text']))  # noqa: E501
        if 'sort_field' in params:
            query_params.append(('sortField', params['sort_field']))  # noqa: E501
        if 'sort_order' in params:
            query_params.append(('sortOrder', params['sort_order']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['ApiAuthKey']  # noqa: E501

        return self.api_client.call_api(
            '/recipients', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='Recipients',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
