# coding: utf-8

"""
    Faxsuite RESTful API

    <p><img src=\"https://service.fax-api.de/4.0/img/fax-api.png\" height=\"100\" title=\"title\" /></p>  # API Definition <p><img src=\"https://service.fax-api.de/4.0/img/open_api.png\" height=\"50\" title=\"title\" /></p>  Die <b>RESTful API</b> basiert auf den <b>OpenAPI v3.0.3</b> Spezifikationen. OpenAPI Spezifikationen (OAS) definieren eine standardisierte und programmiersprachenunabhängige Schnittstellenbeschreibung für RESTful APIs. Diese Schnittstelle ist nutzbar ohne dass der Zugang zum Quellcode, zusätzliche Dokumentation oder die Untersuchung des Netzwerk-Traffics erforderlich ist. Somit kann ein Nutzer den Dienst mit einem Minimum an Implementierungslogik verstehen, mit ihm interagieren und einfach und schnell als API-Schnittstelle in seine eigene Softwareanwendung integrieren..<br><br>Weitere Informationen zu OpenAPI finden sie hier: <a href=\"https://www.openapis.org/\"><b>https://www.openapis.org/</b></a>   # Einleitung  <p><img src=\"https://service.fax-api.de/4.0/img/fax-api-faxsuite_v2.png\" height=\"350\" title=\"title\" />  </p>  Mit unserer <b>Faxsuite</b> können Sie überall und zu jederzeit Faxe senden und empfangen. Neben vielen anderen Funktionalitäten bietet Ihnen unsere <b>Faxsuite</b> auch eine RESTFul API-Schnittstelle. Damit können Sie z. B. aus Ihrer eigenen Softwareanwendung Faxe automatisiert versenden. Zeitintensive und teure Investionen in Hardware und Software gehören der Vergangenheit an und sind nicht mehr notwendig..<br><br>Um den API Service nutzen zu können, müssen Sie sich für die <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a> anmelden. Ein kostenloser Testzugang kann <a href=\"https://www.faxverteiler.com/testzugang/\"><b>hier</b></a> beantragt werden. (<i>To use the API service you need to sign up for the <a href=\"https://www.faxsuite.de/\"><b>Faxsuite</b></a>. A free trial access can be requested <a href=\"https://www.faxverteiler.com/testzugang/\"><b>here</b></a></i>).<br><br>Mit der <b>Faxsuite</b> haben Sie die Kontrolle über Ihre Fax-Kampangen. Mit dem kostenlosen Testzugang können Sie alle Faxsuite Module (Fax-API, Mail2Fax, Faxdrucker, Faxmailing und Faxempfang) unverbindlich ausprobieren. Sie bekommen 10 kostenlose Faxseiten, die Sie zum aktiven Kennenlernen unserer Faxsuite nutzen können. (<i>You can test the <b>Faxsuite</b> modules for four weeks without obligation. You will receive 10 free fax pages with the free trial access</i>)<br><br>Nachdem Sie den Zugang beantragt haben, können Sie sich <a href=\"https://www.faxsuite.de/\"><b>hier</b></a> in die <b>Faxsuite</b> einloggen. Unter dem Menüpunkt 'FAX-API | Konto verwalten' können Sie ein neues Fax-API Konto erstellen. Bei der Erstellung des Fax-API Kontos wird automatisch ein Autorisierungs-Schlüssel generiert, welchen Sie für den Zugang zur API-Schnittstelle benötigen. (<i>After creating a login you can access the <b>Faxsuite</b> <a href=\"https://www.faxsuite.de/\"><b>here</b></a>. In the menu 'FAX-API | Konto verwalten' you can create a new API-Account and receive the related token/key you need to gain access to our API service</i>).<br><br>Die standardisierte API Dokumentation wird Ihnen in zwei unterschiedlichen, als nicht <b>interaktive</b> und <b>interaktive</b> Varinaten angeboten:  |Name|Type|Link| |-----|-----|-------| | <b>Redoc</b> | non interactive | <b><a href=\"https://service.fax-api.de/4.0/rest/index.html\">click here for redoc</a></b> | <b>Swagger UI</b> | interactive (self hosted) | <b><a href=\"https://service.fax-api.de/4.0/rest/swagger-ui/index.html\">click here for swagger</a></b> |    # noqa: E501

    OpenAPI spec version: 4.0.0
    Contact: support@fax-api.de
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class JobStatistics(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'pages': 'int',
        'surcharge': 'int',
        'recipient_count': 'int',
        'recipient_count_successful': 'int',
        'recipient_count_error': 'int'
    }

    attribute_map = {
        'pages': 'pages',
        'surcharge': 'surcharge',
        'recipient_count': 'recipientCount',
        'recipient_count_successful': 'recipientCountSuccessful',
        'recipient_count_error': 'recipientCountError'
    }

    def __init__(self, pages=None, surcharge=None, recipient_count=None, recipient_count_successful=None, recipient_count_error=None):  # noqa: E501
        """JobStatistics - a model defined in Swagger"""  # noqa: E501
        self._pages = None
        self._surcharge = None
        self._recipient_count = None
        self._recipient_count_successful = None
        self._recipient_count_error = None
        self.discriminator = None
        if pages is not None:
            self.pages = pages
        if surcharge is not None:
            self.surcharge = surcharge
        if recipient_count is not None:
            self.recipient_count = recipient_count
        if recipient_count_successful is not None:
            self.recipient_count_successful = recipient_count_successful
        if recipient_count_error is not None:
            self.recipient_count_error = recipient_count_error

    @property
    def pages(self):
        """Gets the pages of this JobStatistics.  # noqa: E501

        Number of pages for the fax  # noqa: E501

        :return: The pages of this JobStatistics.  # noqa: E501
        :rtype: int
        """
        return self._pages

    @pages.setter
    def pages(self, pages):
        """Sets the pages of this JobStatistics.

        Number of pages for the fax  # noqa: E501

        :param pages: The pages of this JobStatistics.  # noqa: E501
        :type: int
        """

        self._pages = pages

    @property
    def surcharge(self):
        """Gets the surcharge of this JobStatistics.  # noqa: E501

        Describes the surcharge for the fax  # noqa: E501

        :return: The surcharge of this JobStatistics.  # noqa: E501
        :rtype: int
        """
        return self._surcharge

    @surcharge.setter
    def surcharge(self, surcharge):
        """Sets the surcharge of this JobStatistics.

        Describes the surcharge for the fax  # noqa: E501

        :param surcharge: The surcharge of this JobStatistics.  # noqa: E501
        :type: int
        """

        self._surcharge = surcharge

    @property
    def recipient_count(self):
        """Gets the recipient_count of this JobStatistics.  # noqa: E501

        Number of recipient for the fax  # noqa: E501

        :return: The recipient_count of this JobStatistics.  # noqa: E501
        :rtype: int
        """
        return self._recipient_count

    @recipient_count.setter
    def recipient_count(self, recipient_count):
        """Sets the recipient_count of this JobStatistics.

        Number of recipient for the fax  # noqa: E501

        :param recipient_count: The recipient_count of this JobStatistics.  # noqa: E501
        :type: int
        """

        self._recipient_count = recipient_count

    @property
    def recipient_count_successful(self):
        """Gets the recipient_count_successful of this JobStatistics.  # noqa: E501

        Number of recipient with a successful sent fax in the job  # noqa: E501

        :return: The recipient_count_successful of this JobStatistics.  # noqa: E501
        :rtype: int
        """
        return self._recipient_count_successful

    @recipient_count_successful.setter
    def recipient_count_successful(self, recipient_count_successful):
        """Sets the recipient_count_successful of this JobStatistics.

        Number of recipient with a successful sent fax in the job  # noqa: E501

        :param recipient_count_successful: The recipient_count_successful of this JobStatistics.  # noqa: E501
        :type: int
        """

        self._recipient_count_successful = recipient_count_successful

    @property
    def recipient_count_error(self):
        """Gets the recipient_count_error of this JobStatistics.  # noqa: E501

        Number of recipient without a successful sent fax in the job  # noqa: E501

        :return: The recipient_count_error of this JobStatistics.  # noqa: E501
        :rtype: int
        """
        return self._recipient_count_error

    @recipient_count_error.setter
    def recipient_count_error(self, recipient_count_error):
        """Sets the recipient_count_error of this JobStatistics.

        Number of recipient without a successful sent fax in the job  # noqa: E501

        :param recipient_count_error: The recipient_count_error of this JobStatistics.  # noqa: E501
        :type: int
        """

        self._recipient_count_error = recipient_count_error

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(JobStatistics, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, JobStatistics):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
